Loading...
Searching...
No Matches
sensors::AlertedSensorManager::AlertedSensorsChangedEvent Struct Reference

Event: One or more sensors' alert states have changed. More...

`import "AlertedSensorManager.idl";`

Inheritance diagram for sensors::AlertedSensorManager::AlertedSensorsChangedEvent:

## Public Attributes

SensorCounts | counts
| Sensor statistics after the change.
vector< SensorData > | changedSensors
| Changed or added sensors.
vector< Sensor > | removedSensors
| Removed sensors.
Public Attributes inherited from idl::Event
Object | source
| IDL object that originated the event.

## Detailed Description

Event: One or more sensors' alert states have changed.

This event is fired whenever the result of getAlertedSensors() changes, i.e. in the following cases:

- An existing sensor's alert state changes
- A newly added sensor is alerted
- A sensor that was alerted is removed

Definition at line 66 of file AlertedSensorManager.idl.

## Member Data Documentation

## changedSensors

vector<SensorData> sensors::AlertedSensorManager::AlertedSensorsChangedEvent::changedSensors

Changed or added sensors.

Definition at line 68 of file AlertedSensorManager.idl.

## counts

SensorCounts sensors::AlertedSensorManager::AlertedSensorsChangedEvent::counts

Sensor statistics after the change.

Definition at line 67 of file AlertedSensorManager.idl.

## removedSensors

vector<Sensor> sensors::AlertedSensorManager::AlertedSensorsChangedEvent::removedSensors

Removed sensors.

Definition at line 69 of file AlertedSensorManager.idl.

The documentation for this struct was generated from the following file:

- AlertedSensorManager.idl